Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class NameClassedPattern

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.Annotated
              convert.relaxng.edit.Pattern
                  convert.relaxng.edit.UnaryPattern
                      convert.relaxng.edit.NameClassedPattern

All Implemented Interfaces:
  ParsedPattern

Direct Known Subclasses:
  AttributePattern, ElementPattern

    public abstract class NameClassedPattern

extends UnaryPattern

Constructor Summary
`NameClassedPattern(NameClass nameClass, Pattern child)`

Method Summary
`NameClass` | `getNameClass()`
`void` | `setNameClass(NameClass nameClass)`

Methods inherited from class convert.relaxng.edit.UnaryPattern
`getChild, setChild`

Methods inherited from class convert.relaxng.edit.Pattern
`accept`

Methods inherited from class convert.relaxng.edit.Annotated
`attributeAnnotationsAccept, childElementAnnotationsAccept, followingElementAnnotationsAccept, getAttributeAnnotation, getAttributeAnnotations, getChildElementAnnotations, getContext, getFollowingElementAnnotations, getLeadingComments, leadingCommentsAccept, mayContainText, setContext`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameClassedPattern

    public NameClassedPattern(NameClass nameClass,
                              Pattern child)

Method Detail

### getNameClass

    public NameClass getNameClass()

### setNameClass

    public void setNameClass(NameClass nameClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD